Bug 1149502 - ether-wake falsely reports "sendto: Network is down" after successfully triggering WOL event
Summary: ether-wake falsely reports "sendto: Network is down" after successfully trigg...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-tools
Version: 22
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-05 14:44 UTC by bob
Modified: 2015-09-21 10:48 UTC (History)
4 users (show)

Fixed In Version: 2.0-0.35.20150915git.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-21 10:48:33 UTC
Type: Bug


Attachments (Terms of Use)
ether-wake: add interface into message (682 bytes, patch)
2015-09-15 12:14 UTC, Tomáš Odehnal
no flags Details | Diff

Description bob 2014-10-05 14:44:53 UTC
Description of problem:

ether-wake (net-tools) properly performs WOL events, but console output falsely reports that the network is down.

Version-Release number of selected component (if applicable):

net-tools-2.0-0.15.20131119git.fc20.x86_64

How reproducible:

always

Steps to Reproduce:
1. Invoke ether-wake to perform a WOL event for a sleeping machine: ether-wake -DDD $macstring
2. read console output
3. 

Actual results:

a. WOL successful
b. inappropriate console messages

Expected results:

a. WOL successful
b. appropriate console messages

Additional info:

A WOL event is performed to awaken a sleeping machine.  ether-wake is invoked at the console using the following command, where $macstring is substituted for the actual MAC address of the target ethernet adapter:

ether-wake $macstring

ether-wake successfully performs a WOL event, wakening the sleeping machine, but it also inappropriately writes the following text to the console:

"sendto: Network is down"

invoking ether-wake using the debug parameter confirms that the sendto command actually worked; when issuing the following command:

ether-wake -DDD $macstring

the following output is received: (the actual MAC address has been replaced with "aa:bb:cc:dd:ee:ff" in this example)

The target station address is aa:bb:cc:dd:ee:ff.
Packet is  aa bb cc dd ee ff aa bb cc dd ee ff 08 42 ff ff ff ff ff ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff aa bb cc dd ee ff.
Sendto worked ! 116.
Sendto worked ! 116.
Sendto worked ! 116.
sendto: Network is down

As you can see, issuing the -D parameter when invoking ether-wake provides us with confirmation that the sendto command worked properly, but the final output of ether-wake is the issuance of an inappropriate "Network is down" response.

Even though ether-wake issues a "Network is down" response, the target machine is successfully awakened.  It appears that the "Network is down" response is being issued inappropriately.

Comment 1 Taylor Braun-Jones 2015-01-26 14:53:34 UTC
You can use the -i option to send the wake-up packet on just the one interface that is connected to the correct network.

  ether-wake -i eth0 $macstring

But I agree that the error message should be better. Maybe something like:

  Wake-up message on interface eth1 failed: Network is down

Comment 2 bob 2015-01-26 15:10:34 UTC
I'm not sure that you understand the nature of the bug report, maybe I wasn't clear.

My complaint is that the software succeeds in performing a WOL event over the network, and then issues a false "network is down" report after it succeeds.

The way I look at this, the issuance of a"network is down" message and a successful WOL event are two mutually exclusive events.  You should never get one if you receive the other.

Comment 3 Taylor Braun-Jones 2015-01-26 16:31:02 UTC
Those two events are not mutually exclusive because you can successfully send a WOL packet on one interface (e.g. eth0) but fail to send the WOL packet on another interface (e.g. eth1).

Comment 4 bob 2015-02-05 20:36:56 UTC
Thanks for clarifying that for me. I'm not quite sure that it's the right answer, though.

In the event that a machine has multiple network interfaces, your suggestion would make sense that the user should have to specify which network interface should be used.  In the event that the user failed to specify which interface should be used, then the software would scan for available interfaces and use them.  IMO if the program scans for available interfaces, finds one, issues the WOL event and succeeds, then it's a bug to report that the network is down.

In the event that a machine has a single network interface (my case in submitting this report), and when the ether-wake command is issued without specifying the interface to use (ie: using the "-i" option), ether-wake looks for an appropriate interface, finds it, uses it successfully, and then falsely reports that the network is down.

Following your suggestion, implementation of the "-i" option does force ether-wake to use the specified interface, and in that case, the "network is down" fail message is not generated.  But in the case that the "-i" option is not used on a machine that has eth0 and no eth1, ether-wake finds an appropriate interface to use (eth0), uses it successfully, and then issues a false report that the network is down.

This seems to be an error in the logic that is implemented in the program.  If the program scans for available interfaces, finds one, uses it successfully, then it should not report that the network is down.  Doing that would be a software bug.

Comment 5 Fedora End Of Life 2015-05-29 13:01:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 22:48:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 srakitnican 2015-08-25 15:32:29 UTC
Still an issue in F22 

$ rpm -q net-tools
net-tools-2.0-0.31.20141124git.fc22.x86_64

Comment 8 Tomáš Odehnal 2015-09-15 12:14:56 UTC
Created attachment 1073608 [details]
ether-wake: add interface into message

If you don't use the '-i' parameter, then ether-wake sends packets to all interfaces (even those, that are down).
So I added interfaces into message.
For example:
'eth0', Sendto worked ! 116
'eth1', sendto: network is down

Comment 9 Fedora Update System 2015-09-15 16:33:00 UTC
net-tools-2.0-0.35.20150915git.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15922

Comment 10 Fedora Update System 2015-09-16 04:52:51 UTC
net-tools-2.0-0.35.20150915git.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update net-tools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15922

Comment 11 Fedora Update System 2015-09-21 10:48:31 UTC
net-tools-2.0-0.35.20150915git.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.